gnutls_handshake_set_max_packet_length(3)

NAME
gnutls_handshake_set_max_packet_length - This function will set the maximum length of a handshake message

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_handshake_set_max_packet_length(gnutls_session_t session, size_t max);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

size_t max
    is the maximum number.

DESCRIPTION
This function will set the maximum size of a handshake message. Handshake messages over this size are rejected. The default value is 16kb which is large enough. Set this to 0 if you do not want to set an upper limit.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.